exports.up = (knex) => knex.schema.createTable('sources', (table) => {
  table.string('id').primary()
  table.integer('owner_id').notNullable().unsigned()
  table.foreign('owner_id').references('id').inTable('users')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.integer('app_id').notNullable().unsigned()
  table.foreign('app_id').references('id').inTable('apps')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.integer('room_id').unsigned()
  table.foreign('room_id').references('id').inTable('rooms')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.string('ip', 15)
  table.integer('port')
  table.string('proto', 3)
  table.boolean('alert').default(false)
  table.bigInteger('time').unsigned()
  table.text('meta')
  table.string('type')
  table.timestamp('created_at').notNullable().default(knex.fn.now())
  table.timestamp('updated_at').notNullable().default(knex.fn.now())
})

exports.down = (knex) => knex.schema.dropTableIfExists('sources')
