exports.up = (knex) => knex.schema.createTable('config', (table) => {
  table.increments()
  table.integer('app_id').unsigned()
  table.foreign('app_id').references('id').inTable('apps')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.integer('user_id').unsigned()
  table.foreign('user_id').references('id').inTable('users')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.integer('updated_by_id').unsigned()
  table.foreign('updated_by_id').references('id').inTable('users')
    .onUpdate('CASCADE')
    .onDelete('SET NULL')
  table.string('name').notNullable()
  table.text('description').notNullable()
  table.enu('context', ['global', 'profile', 'app', 'private']).notNullable()
  table.string('type').notNullable()
  table.string('value').notNullable()
  table.timestamp('created_at').default(knex.fn.now())
  table.timestamp('updated_at').default(knex.fn.now())
})

exports.down = (knex) => knex.schema.dropTableIfExists('config')
