exports.up = (knex) => knex.schema.createTable('apps', (table) => {
  table.increments()
  table.string('appname').notNullable()
  table.unique('appname')
  table.text('description')
  table.integer('owner_id').notNullable().unsigned()
  table.foreign('owner_id').references('id').inTable('users')
    .onUpdate('CASCADE')
    .onDelete('RESTRICT')
  table.string('token').notNullable()
  table.unique('token')
  table.bigInteger('time').unsigned()
  table.string('ip', 15)
  table.timestamp('created_at').notNullable().default(knex.fn.now())
  table.timestamp('updated_at').notNullable().default(knex.fn.now())
})

exports.down = (knex) => knex.schema.dropTableIfExists('apps')
