exports.up = (knex) => knex.schema.createTable('app_room', (table) => {
  table.increments()
  table.integer('owner_id').notNullable().unsigned()
  table.foreign('owner_id').references('id').inTable('users')
    .onUpdate('CASCADE')
    .onDelete('RESTRICT')
  table.integer('app_id').notNullable().unsigned()
  table.foreign('app_id').references('id').inTable('apps')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.integer('room_id').notNullable().unsigned()
  table.foreign('room_id').references('id').inTable('rooms')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')

  table.timestamp('created_at').default(knex.fn.now())
  table.timestamp('updated_at').default(knex.fn.now())
})

exports.down = (knex) => knex.schema.dropTableIfExists('app_room')
