exports.up = (knex) => knex.schema.createTable('group_app', (table) => {
  table.increments()
  table.integer('owner_id').notNullable().unsigned()
  table.foreign('owner_id').references('id').inTable('users')
    .onUpdate('CASCADE')
    .onDelete('RESTRICT')
  table.integer('app_id').notNullable().unsigned()
  table.foreign('app_id').references('id').inTable('apps')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.integer('group_id').notNullable().unsigned()
  table.foreign('group_id').references('id').inTable('groups')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.timestamp('created_at').default(knex.fn.now())
  table.timestamp('updated_at').default(knex.fn.now())
})

exports.down = (knex) => knex.schema.dropTableIfExists('group_app')
