exports.up = (knex) => knex.schema.createTable('token_source', (table) => {
  table.increments()
  table.integer('token_id').notNullable().unsigned()
  table.foreign('token_id').references('id').inTable('tokens')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.integer('source_id').notNullable().unsigned()
  table.foreign('source_id').references('id').inTable('sources')
    .onUpdate('CASCADE')
    .onDelete('CASCADE')
  table.timestamp('created_at').default(knex.fn.now())
  table.timestamp('updated_at').default(knex.fn.now())
})

exports.down = (knex) => knex.schema.dropTableIfExists('token_source')
